[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# DecodeDateMonthWeek

Decode a TDateTime value in a month, week of month and day of week

## Declaration

Source position: dateutil.inc line 344

`procedure DecodeDateMonthWeek(`
`const AValue: TDateTime;`
`out AYear: Word;`
`out AMonth: Word;`
`out AWeekOfMonth: Word;`
`out ADayOfWeek: Word`
`);`

## Arguments

`AValue` |  | TDateTime to decode
`AYear` |  | Returns the year part of AValue.
`AMonth` |  | Returns the month part of AValue.
`AWeekOfMonth` |  | Returns the week of month part of AValue.
`ADayOfWeek` |  | Returns the day of week part of AValue.

## Description

DecodeDateMonthWeek decomposes the date indication in AValue and returns the various components in AYear, AMonth AWeekOfMonth and ADayOfWeek.

## See also

EncodeDateTime |  | Encodes a TDateTime value from all its parts
EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a TDateTime value
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
EncodeDateDay |  | Encodes a year and day of year to a TDateTime value
DecodeDateTime |  | Decode a TDateTime value in a date and time value
DecodeDateWeek |  | Decode a TDateTime value in a week of year and day of week.
DecodeDateDay |  | Decode a TDateTime value in year and year of day.

## Example

    Program Example85;

    { This program demonstrates the DecodeDateMonthWeek function }

    Uses SysUtils,DateUtils;

    Var
      Y,M,Wom,Dow : Word;
      TS : TDateTime;

    Begin
      DecodeDateMonthWeek(Now,Y,M,WoM,DoW);
      TS:=EncodeDateMonthWeek(Y,M,WoM,Dow);
      Writeln('Today is : ',DateToStr(TS));
    End.